Skip to main content
POST
Perform wallet transfer from a sub account
Always requery the transaction using Fetch a single transaction on a sub account to confirm its final status before issuing a refund. Only refund if data.status is REFUND.
For a complete guide on response codes and transaction statuses, see Response Codes.

Authorizations

Authorization
string
header
required

Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. Both methods return an access token. Send it in the Authorization header: Authorization: Bearer <access_token>.

Headers

accountId
string<uuid>
required

The parent accountId of the business.

Example:

"890022ce-bae0-45c1-9b9d-ee7872e6ca27"

Path Parameters

subAccountId
string
required

The accountId to transfer from.

Body

application/json

The request payload required to perform a wallet transfer.

A structure representing an object required to post a wallet transfer.

amount
number<double>
required

The amount to be transferred.

Example:

3500

receiverAccountId
string<uuid>
required

The receiver's accountId.

Example:

"890022ce-bae0-45c1-9b9d-ee7872e6ca27"

merchantTxRef
string
required

Unique reference used to track a transaction from an external process.

This is an idempotency key and must be unique per transaction.

Example:

"UNQ_123abGGhh5546"

narration
string

The payment narration

Example:

"Testing Payment"

Response

OK - your request was successful.

code
enum<string>
required

Response code. This reflects the HTTP status code of the response, e.g. 200 when the request completed successfully and 201 when it was accepted and is still being processed.

Available options:
200,
201,
400,
401,
403,
429,
500
Example:

"200"

description
string
required

Response description

Example:

"Success"

data
object
required

Transfer data